Encelade API Docs

Public Exports

POST
/api/public/v1/projects/{pid}/exports/pdf
x-api-key<token>

In: header

Path Parameters

pid*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v1/projects/string/exports/pdf" \  -H "Content-Type: application/json" \  -d '{}'
{
  "jobId": "string",
  "status": "processing"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
POST
/api/public/v1/projects/{pid}/exports/pptx
x-api-key<token>

In: header

Path Parameters

pid*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v1/projects/string/exports/pptx" \  -H "Content-Type: application/json" \  -d '{}'
{
  "jobId": "string",
  "status": "processing"
}
{
  "error": "string"
}
{
  "error": "string"
}
Empty
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
GET
/api/public/v1/projects/{pid}/exports/{jobId}
x-api-key<token>

In: header

Path Parameters

pid*string
jobId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v1/projects/string/exports/string"
{
  "status": "processing"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}